Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.UnembeddedFontSettings Class Reference
Inheritance diagram for FoxitPDFSDKPython3.UnembeddedFontSettings:

## Public Member Functions
def | UnembeddedFontSettings ()
| Constructor.
def | UnembeddedFontSettings (other)
| Constructor, with another unembedded font settings object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetSubsetAllEmFonts (is_subset_all_emb_fonts)
| Sets whether to include subsets of all unembedded fonts. More...
def | SetUnembeddedFontNameArray (font_name_array)
| Set a font name array to specify which fonts are to be unembeded. More...

## Detailed Description

This class represents the settings for unembedded fonts. This class object can be set to class OptimizerSettings and then be used to optimize a PDF document.

See also
  OptimizerSettings

## Constructor & Destructor Documentation

## ◆ UnembeddedFontSettings()

def FoxitPDFSDKPython3.UnembeddedFontSettings.UnembeddedFontSettings | ( |  | other | ) |

Constructor, with another unembedded font settings object.

Parameters

  [in] | other | Another ImageSettings object.

## Member Function Documentation

## ◆ IsEmpty()

def FoxitPDFSDKPython3.UnembeddedFontSettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetSubsetAllEmFonts()

def FoxitPDFSDKPython3.UnembeddedFontSettings.SetSubsetAllEmFonts | ( |  | is_subset_all_emb_fonts | ) |

Sets whether to include subsets of all unembedded fonts.

Parameters

  [in] | is_subset_all_emb_fonts | true means to include subsets of all unembedded fonts. false means not to include subsets of all unembedded fonts.

Returns
  void.

## ◆ SetUnembeddedFontNameArray()

def FoxitPDFSDKPython3.UnembeddedFontSettings.SetUnembeddedFontNameArray | ( |  | font_name_array | ) |

Set a font name array to specify which fonts are to be unembeded.

This function can be used to specify which fonts are to be unembedded. User can use function FoxitPDFSDKPython3.PDFDoc.GetEmbeddedFontData to get the embedded font name arrays of a PDF document, then decide which embeded fonts are to be unembeded, and pass the unembeded font name array to current function.

Parameters

  [in] | font_name_array | A font name array to specify which fonts are to be unembeded.

Returns
  None.